package com.ruoyi.bst.bonus.utils;

import java.math.BigDecimal;

import com.ruoyi.bst.bonus.domain.Bonus;
import com.ruoyi.bst.bonus.domain.enums.BonusArrivalType;

public class BonusUtil {

    /**
     * 获取初始分成
     */
    public static Bonus getInitBonus(BonusArrivalType arrivalType, Long arrivalId, String arrivalName, BigDecimal point) {
        if (arrivalType == null || arrivalId == null || arrivalName == null || point == null) {
            return null;
        }
        Bonus bonus = new Bonus();
        bonus.setArrivalType(arrivalType.getType());
        bonus.setArrivalId(arrivalId);
        bonus.setArrivalName(arrivalName);
        bonus.setPoint(point);
        return bonus;
    }
}
